Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: opensuse 11.1 64bit: problem installing Sun Java EE SDK

Hybrid View

  1. #1

    Default opensuse 11.1 64bit: problem installing Sun Java EE SDK

    I'm trying to install Sun's Java EE SDK on my opensuse 11.1 64bit system. The file I got from Sun's site (Developer Resources for Java Technology) is java_app_platform_sdk-5_07-linux.bin

    I gave it execute permission and ran it. The following is the result.

    # ./java_app_platform_sdk-5_07-linux.bin
    ./java_app_platform_sdk-5_07-linux.bin: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

    I tried to find libstdc++.so.5 using Yast but with no success. There doesnt seem to be a version 5 of this library.

    Could someone help out?

  2. #2
    Join Date
    Feb 2009
    Location
    East Stroudsburg
    Posts
    153

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    Hi, I have Java JDK 1.6 and NetBeans6.5.1 installed on my openSuSE since I need it for school, and I don't have the libstdc++ library as well. I'm not sure if it's needed after all. Where'd you get java_app_platform_sdk-5_07-linux.bin from ?
    | OpenSuSE 11.4 Gnome Shell 64-bit | 4.2 i7-930 | ATI Raden 5750

  3. #3
    Join Date
    Feb 2009
    Location
    East Stroudsburg
    Posts
    153

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    Ok, I tried it, it I got some silly error, We're together on this. Let's get on it.

    Get the libstdc++.so.5

    Code:
    wget ftp://rpmfind.net/linux/Mandrake/2008.1/x86_64/media/main/release/libstdc++5-3.3.6-3mdk.x86_64.rpm
    Here's what happens

    When I try to upgrade, which should the be default option since all we're doing is just upgrading the platform -->

    Code:
    rpm -Uvh libstdc++5-3.3.6-3mdk.x86_64.rpm
    I get the output of:

    Code:
    warning: libstdc++5-3.3.6-3mdk.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 70771ff3
    Preparing...                ########################################### [100%]
    	file /usr/lib/libstdc++.so.5.0.7 from install of libstdc++5-3.3.6-3mdk.x86_64 conflicts with file from package libstdc++33-32bit-3.3.3-7.10.x86_64
    Which makes no sense at all! Of course it's going to conflict the 3.3 package, since I'm upgrading it.

    I tried installing it.

    Code:
    rpm -ivh libstdc++5-3.3.6-3mdk.x86_64.rpm
    Got the same output. I posted in couple of places. I'll try to get my friend to help me out, too.

    Good luck until then.

    //Alek
    | OpenSuSE 11.4 Gnome Shell 64-bit | 4.2 i7-930 | ATI Raden 5750

  4. #4
    Join Date
    Feb 2009
    Location
    East Stroudsburg
    Posts
    153

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    Yes, after a couple of minutes, I figured out, it's a mandriva package ...

    Anyways ..

    I got another package, it's says it's for openSUSE 11.0, it's an src.rmp then when archived it becomes .rmp I try installing it, but it reads.

    invalid rmp package...

    It says its a x-rpm package. What would that possibly mean ?
    | OpenSuSE 11.4 Gnome Shell 64-bit | 4.2 i7-930 | ATI Raden 5750

  5. #5

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    You can download it from Developer Resources for Java Technology
    Just look for the Java EE 5 SDK and download it.

  6. #6

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    1. I already showed you which package contains libstdc++.so.5

    2. Why don't you use the java-Packages provided by openSUSE? (java-1_6_0-sun)?

  7. #7
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    Java Standard Edition (SE) is already in the repositories. Just use the Yast tool to install it.

    Enterprise Edition (EE) is required only if you want to run server based applications (such as webservices etc.). For running normal Java programs, you don't need Java EE.

  8. #8

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    I need to do Java EE developments. That's why I'm looking to install the Java EE SDK from Sun.

  9. #9

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    Ok. I've installed java-1_6_0-sun-devel from the opensuse repository hoping that libstdc++.so.5 would be installed by that package.
    Still no luck when trying to install Sun EE SDK afterwards

    # ./java_app_platform_sdk-5_07-linux.bin
    ./java_app_platform_sdk-5_07-linux.bin: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

  10. #10
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: opensuse 11.1 64bit: problem installing Sun Java EE SDK

    Code:
    zypper update libstdc++33-32bit

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •